Loading... Please wait...

Our Newsletter


What operating systems are compatible with our Preconfigured Hyperspin Hard Drive?

All Preconfigured Hyperspin Hard Drive are plug and play and requires Windows 7, Windows 8 or Windows 10.

Windows XP does work but we have not test yet.  There's a document under our Tech Talk section on how to setup Hyperspin on Windows XP.  Use Windows XP at your own risk.

From Microsoft:
After 12 years, support for Windows XP ended April 8, 2014. Microsoft will no longer provide security updates or technical support for the Windows XP operating system. It is very important that customers and partners migrate to a modern operating system such as Windows 10.

 

hyperspin-logo-small.png